4 Replies Latest reply on Apr 27, 2012 11:41 AM by Hector Meza

    Rho Simulator License Error

    Hector Meza

      I have installed drop 5 and created a basic Product project.

      Tried to run it in the RhoSimulator (android) and get the following error

       

      ********* ERROR ************************************************************************

      License is required to run RhoElements application.

      Please, provide  "motorola_licence" and "motorola_licence_company" parameters in build.yml.

      **************************************************************************************

      Error in build application

       

      Rho Build information : D:/Rho2.0.0Beta5/RhoStudio/ruby/lib/ruby/gems/1.8/gems/rhodes-3.3.3.beta.5.5

       

      Anyone else having similar issues?

        • Re: Rho Simulator License Error
          Robert Galvin

          Hector

           

          With RE2 you will now be able to bundle a deployment license with your application. See documentation:

           

          http://edgedocs.rhomobile.com/rhoelements/rhoelements2-native#pre-licensing-your-application

           

          The build log may show that warning but it should not prevent the build from completing and launching the simulator. It is probably some other reason the application is not building. Start a fresh app and do nothing then build. You should see it succeed. Then go back to the app that is not building and look for ruby syntax errors or other ruby related errors that may cause the build not to execute.

            • Re: Rho Simulator License Error
              Hector Meza

              Rob, this is a new project build.  I enabled the trace and set the log level to 0 - hoping to get a better idea of what is happening -

               

              No luck - I try'd running this in the RhoSimulator but it still fails the following is the console info:

               

              Clean started

              cd D:/Rho2.0.0Beta5/RhoStudio/ruby/lib/ruby/gems/1.8/gems/rhodes-3.3.3.beta.5.5

              ********* ERROR ************************************************************************

              License is required to run RhoElements application.

              Please, provide  "motorola_licence" and "motorola_licence_company" parameters in build.yml.

              **************************************************************************************

              build started

              cd D:/Rho2.0.0Beta5/RhoStudio/ruby/lib/ruby/gems/1.8/gems/rhodes-3.3.3.beta.5.5

              ** Invoke run:android:rhosimulator (first_time)

              ** Invoke config:set_android_platform (first_time)

              ** Execute config:set_android_platform

              ** Invoke config:common (first_time)

              ** Execute config:common

              ********* ERROR ************************************************************************

              License is required to run RhoElements application.

              Please, provide  "motorola_licence" and "motorola_licence_company" parameters in build.yml.

              **************************************************************************************

              Error in build application

               

              I did install the local 5.5.gem's  - not sure if that is the issue. 

              Were can we get a valid license for MSI?

            • Re: Rho Simulator License Error
              Robert Galvin

              Hector

               

              Looks like we had a problem with that gem and running Android based RhoSim. Just change the OS to WIndows Mobile for the simulator. This is also not a problem in later builds.

               

              Rob

                • Re: Rho Simulator License Error
                  Hector Meza

                  It seems like the gem's are my issue

                  rhodes-3.3.3.beta.5.5.gem

                  rhoelements-2.0.0.beta.5.5.gem

                   

                  I removed them and re-installed the beta Drop 5 - applications are now able to be created and run in the Simulator.

                   

                  I am assuming we need the 5.5.gem's to be installed, but you mentioned that it is fixed in a newer drop, is there a drop more current than 5?

                   

                  One thing that is difficult is that there is not a lot of documentation on what the drop's have - the RhoMobile documentation seems to be updating but we have no way of knowing what and when it is changed.  Is there a reference doc for the documentation changes?

                   

                  Thanks